# Requires Borland Make utility

.autodepend # Header file dependencies


CC = bcc
LINKER  = $(CC)    
CFLAGS  = -ml  	   

# General rules

.cpp.obj:
	$(CC) -c $(CFLAGS) $<

# Default
help:
	@echo  Arageli by Nikolai Yu. Zolotykh
	@echo    version for Borland C++ 3.1  (DOS)
	@echo    without asm code


# Executables

all:  testbg.exe testbig.exe testbio.exe testbr.exe sc.exe

testbg.exe: testbg.obj bigarith.obj bigar.obj
	$(CC) $(CFLAGS) testbg.obj bigarith.obj bigar.obj

testbig.exe: testbig.obj bigarith.obj bigar.obj
	$(CC) $(CFLAGS) testbig.obj bigarith.obj bigar.obj

testbio.exe: testbio.obj bigarith.obj bigar.obj
	$(CC) $(CFLAGS) testbio.obj bigarith.obj bigar.obj

testbr.exe: testbr.obj bigarith.obj bigar.obj
	$(CC) $(CFLAGS) testbr.obj bigarith.obj bigar.obj

sc.exe: sc.obj bigarith.obj bigar.obj
	$(CC) $(CFLAGS) sc.obj bigarith.obj bigar.obj

skeleton.exe: skeleton.obj bigarith.obj bigar32.obj
	$(CC) $(CFLAGS) skeleton.obj bigarith.obj bigar32.obj


clean:
        @del bigar.obj
        @del bigarith.obj
        @del testbg.obj
        @del testbig.obj
        @del testbio.obj
        @del testbr.obj
        @del sc.obj

cleanall: clean
	@del testbg.exe
	@del testbig.exe
	@del testbio.exe
	@del testbr.exe
	@del sc.exe

new:      cleanall all


