# Requires Borland Make utility

.autodepend # Header file dependencies

CC = bcc
LINKER  = $(CC)    
CFLAGS  = -ml -DUSE_ASM
                
# General rules

.cpp.obj:
	$(CC) -c $(CFLAGS) $<

# Default

help:
	@echo  Arageli by Nikolai Yu. Zolotykh
	@echo  version for Borland C++ 3.1  (DOS)
	@echo  with asm code (built-in assembler)

# Executables

all:  testbg.exe testbig.exe testbio.exe testbr.exe sc.exe skeleton.exe

testbg.exe: testbg.obj bigarith.obj bigarbc.obj
	$(CC) $(CFLAGS) testbg.obj bigarith.obj bigarbc.obj

testbig.exe: testbig.obj bigarith.obj bigarbc.obj
	$(CC) $(CFLAGS) testbig.obj bigarith.obj bigarbc.obj

testbio.exe: testbio.obj bigarith.obj bigarbc.obj
	$(CC) $(CFLAGS) testbio.obj bigarith.obj bigarbc.obj

testbr.exe: testbr.obj bigarith.obj bigarbc.obj
	$(CC) $(CFLAGS) testbr.obj bigarith.obj bigarbc.obj

sc.exe: sc.obj bigarith.obj bigarbc.obj
	$(CC) $(CFLAGS) sc.obj bigarith.obj bigarbc.obj

skeleton.exe: skeleton.obj bigarith.obj bigarbc.obj
	$(CC) $(CFLAGS) skeleton.obj bigarith.obj bigarbc.obj


clean:
        @del bigarbc.obj
        @del bigarith.obj
        @del testbg.obj
        @del testbig.obj
        @del testbio.obj
        @del testbr.obj
        @del sc.obj

cleanall: clean
	@del testbg.exe
	@del testbig.exe
	@del testbio.exe
	@del testbr.exe
	@del sc.exe

new:      cleanall all


