# Requires Borland Make utility

.autodepend # Header file dependencies

CC	= cl /c
LINKER  = cl		
CFLAGS  = /O2 

# General rules

.cpp.obj:
	$(CC) $(CFLAGS) $<

# Default

all:  doc sc.exe skeleton.exe rref.exe smith.exe go1.exe go1dbl.exe go2.exe go2dbl.exe

help:
	@echo  Arageli by Nikolai Yu. Zolotykh
	@echo    version for Visual C++ 6.0 without asm code

doc:
	doxygen arageli.cfg

# Executables

test: testbg.exe testbig.exe testbio.exe testbr.exe 

testbg.exe: testbg.obj bigarith.obj bigar.obj
	$(LINKER) testbg.obj bigarith.obj bigar.obj

testbig.exe: testbig.obj bigarith.obj bigar.obj
	$(LINKER) testbig.obj bigarith.obj bigar.obj

testbio.exe: testbio.obj bigarith.obj bigar.obj
	$(LINKER) testbio.obj bigarith.obj bigar.obj

testbr.exe: testbr.obj bigarith.obj bigar.obj
	$(LINKER) testbr.obj bigarith.obj bigar.obj

sc.exe: sc.obj bigarith.obj bigar.obj
	$(LINKER) sc.obj bigarith.obj bigar.obj

skeleton.exe: skeleton.obj bigarith.obj bigar.obj
	$(LINKER) skeleton.obj bigarith.obj bigar.obj

rref.exe: rref.obj bigarith.obj bigar.obj
	$(LINKER) rref.obj bigarith.obj bigar.obj

smith.exe: smith.obj bigarith.obj bigar.obj
	$(LINKER) smith.obj bigarith.obj bigar.obj

go1.exe: go1.obj bigarith.obj bigar.obj
	$(LINKER) go1.obj bigarith.obj bigar.obj

go1dbl.exe: go1dbl.obj
	$(LINKER) go1dbl.obj

go2.exe: go2.obj bigarith.obj bigar.obj
	$(LINKER) go2.obj bigarith.obj bigar.obj

go2dbl.exe: go2dbl.obj
	$(LINKER) go2dbl.obj


clean:
        @del bigar.obj
        @del bigarith.obj
        @del testbg.obj
        @del testbg.tds
        @del testbig.obj
        @del testbig.tds
        @del testbio.obj
        @del testbio.tds 
        @del testbr.obj
        @del testbr.tds
        @del sc.obj
        @del sc.tds
        @del skeleton.obj
        @del skeleton.tds
        @del rref.obj
        @del rref.tds
        @del smith.obj
        @del smith.tds
        @del go1.obj
        @del go1.tds
        @del go1dbl.obj
        @del go1dbl.tds
        @del go2.obj
        @del go2.tds
        @del go2dbl.obj
        @del go2dbl.tds

cleanall: clean
	@del testbg.exe
	@del testbig.exe
	@del testbio.exe
        @del testbr.exe
        @del sc.exe
        @del skeleton.exe
        @del rref.exe
        @del smith.exe
        @del go1.exe
        @del go1dbl.exe
        @del go2.exe
        @del go2dbl.exe

new:      cleanall all


